CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Properties
CommandMessenger.Command Class Reference

A command to be send by CmdMessenger. More...

Inheritance diagram for CommandMessenger.Command:

List of all members.

## Public Member Functions
| Command ()
| Constructor.
string | CommandString ()
## Protected Attributes
List< String > | _arguments
## Properties
static char | FieldSeparator`[get, set]`
static char | CommandSeparator`[get, set]`
static bool | PrintLfCr`[get, set]`
static BoardType | BoardType`[get, set]`
int | CmdId`[get, set]`
| Gets or sets the command ID.
String[] | Arguments`[get]`
| Gets the command arguments.
long | TimeStamp`[get, set]`
| Gets or sets the time stamp.
bool | Ok`[get]`
| Returns whether this is a valid & filled command.

## Detailed Description

A command to be send by CmdMessenger.

## Constructor & Destructor Documentation

CommandMessenger.Command.Command | ( |  | ) |

Constructor.

## Property Documentation

String [] CommandMessenger.Command.Arguments`[get]`

Gets the command arguments.

The arguments, first one is the command ID

int CommandMessenger.Command.CmdId`[get, set]`

Gets or sets the command ID.

The command ID.

bool CommandMessenger.Command.Ok`[get]`

Returns whether this is a valid & filled command.

true if ok, false if not.

long CommandMessenger.Command.TimeStamp`[get, set]`

Gets or sets the time stamp.

The time stamp.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/Command.cs